//
//  PhotoView.m
//  ImageManipulationExample
//
//  Created by Tommy MacWilliam on 4/16/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "PhotoView.h"

@implementation PhotoView

- (id)initWithFrame:(CGRect)frame
{
    self = [super initWithFrame:frame];
    return self;
}

- (void)drawRect:(CGRect)rect
{
    // draw  david
    UIImage *david = [UIImage imageNamed:@"malan.png"];
    [david drawInRect:rect];
    
    // define path to form the bounds of the stache
    CGContextRef context = UIGraphicsGetCurrentContext();
    CGMutablePathRef path = CGPathCreateMutable();
    CGPathMoveToPoint(path, NULL, 97.0f, 210.0f);
    CGPathAddLineToPoint(path, NULL, 97.0f, 241.0f);
    CGPathAddLineToPoint(path, NULL, 135.0f, 225.0f);
    CGPathAddLineToPoint(path, NULL, 172.0f, 241.0f);
    CGPathAddLineToPoint(path, NULL, 172.0f, 210.0f);
    CGPathCloseSubpath(path);
    
    // add path to context and clip everything drawn to that path
    CGContextAddPath(context, path);
    CGContextClip(context);
    
    // draw mustache
    UIImage *stache = [UIImage imageNamed:@"mustache.jpg"];
    CGContextDrawImage(context, CGRectMake(97.0f, 210.0f, 75.0f, 31.0f), stache.CGImage);
}

@end
