//
//  ViewController.m
//  CustomButtonExample
//
//  Created by Tommy MacWilliam on 4/15/12.
//  Copyright (c) 2012 __MyCompanyName__. All rights reserved.
//

#import "CustomButton.h"
#import "ViewController.h"

@implementation ViewController

- (void)viewDidLoad
{
    [super viewDidLoad];
    
    // create new custom button
    CustomButton *button = [[CustomButton alloc] initWithFrame:CGRectMake(50.0f, 50.0f, 100.0f, 50.0f)
                                                         title:@"Button" color:[UIColor blueColor]];
    
    // add event handler to button
    [button addTarget:self action:@selector(pressed:) forControlEvents:UIControlEventTouchUpInside];
    
    // add button to view
    [self.view addSubview:button];
}

- (void)viewDidUnload
{
    [super viewDidUnload];
}

- (BOOL)shouldAutorotateToInterfaceOrientation:(UIInterfaceOrientation)interfaceOrientation
{
    return (interfaceOrientation != UIInterfaceOrientationPortraitUpsideDown);
}

- (void)pressed:(id)sender
{
    UIAlertView *alert = [[UIAlertView alloc] initWithTitle:@"Press" message:@"You sure did!" delegate:nil 
                                          cancelButtonTitle:@"Thanks" otherButtonTitles:nil];
    [alert show];
}

@end
